#!/bin/bash

in=$1
out=$2

if [[ ! -f $in ]]; then
  echo Input file not found.
  exit 1
fi
if [[ -z $out ]]; then
  echo I don\'t know where is output file...
  exit 1
fi

{
  echo '<html>'
  echo '<head>'
  echo '  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">'
  echo '  <title>Job done blog.</title>'
  echo '</head>'
  echo '<body>'
  echo '<h1>Job done blog.</h1>'

  echo '<ul>'

  sed -e 's|^\([[:digit:]-]\+\) \([[:digit:]:]\+\) \(.*\)|  <li><span style="color: green;">\1 \2</span> \3</li>|'

  echo '</ul>'

  echo '<address>'
  echo '  <a href="mailto:gavenko@bifit.com.ua">Oleksandr Gavenko</a>'
  echo '  </address>'
  echo '</body>'
  echo '</html>'

} <$in >$out

